--- app.c.bak	2006-04-07 03:13:11 +0300
+++ app.c	2006-04-07 03:22:01 +0300
@@ -219,9 +219,8 @@
 			ast_frfree(f);
 		}
 	}
-	res = ast_set_read_format(c, rfmt);
-	if (res)
-		ast_log(LOG_WARNING, "Unable to restore read format on '%s'\n", c->name);
+	if (rfmt && ast_set_read_format(c, rfmt))
+		ast_log(LOG_WARNING, "Unable to restore read format %s on '%s'\n", ast_getformatname(rfmt), c->name);
 	ast_dsp_free(sildet);
 	ast_closestream(writer);
 	return 0;
@@ -749,10 +748,8 @@
 		ast_truncstream(others[x]);
 		ast_closestream(others[x]);
 	}
-	if (rfmt) {
-		if (ast_set_read_format(chan, rfmt)) {
-			ast_log(LOG_WARNING, "Unable to restore format %s to channel '%s'\n", ast_getformatname(rfmt), chan->name);
-		}
+	if (rfmt && ast_set_read_format(chan, rfmt)) {
+		ast_log(LOG_WARNING, "Unable to restore read format %s on '%s'\n", ast_getformatname(rfmt), chan->name);
 	}
 	if (outmsg > 1) {
 		/* Let them know recording is stopped */
@@ -984,10 +981,8 @@
 			ast_filedelete(prependfile, sfmt[x]);
 		}
 	}
-	if (rfmt) {
-		if (ast_set_read_format(chan, rfmt)) {
-			ast_log(LOG_WARNING, "Unable to restore format %s to channel '%s'\n", ast_getformatname(rfmt), chan->name);
-		}
+	if (rfmt && ast_set_read_format(chan, rfmt)) {
+		ast_log(LOG_WARNING, "Unable to restore read format %s on '%s'\n", ast_getformatname(rfmt), chan->name);
 	}
 	if (outmsg) {
 		if (outmsg > 1) {
